package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.session.SessionManager;
import com.ynet.life.action.LifeJDBCAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.TEntity;
import com.ynet.life.base.Trace;
import com.ynet.life.base.logon.LifeLogonManager;
import com.ynet.life.exception.TranFailException;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UserCheckAction.class */
public class UserCheckAction extends LifeJDBCAction {
    private String customerId;

    public String execute(Context context) throws GENEException {
        try {
            String bankId = (String) context.getDataValue(TEntity.bankIdFieldName);
            String userId = (String) context.getDataValue(this.customerId);
            SessionManager sessionManager = (SessionManager) ((HttpServletRequest) context.getDataValue(GENEConstance.SERVLET_REQUEST)).getAttribute(GENEConstance.ATTR_SESSION_MGR);
            if (isStrengthVerify(bankId, userId, sessionManager)) {
                context.put("singleSign", "isSign");
                context.put("isLogin", "1");
                return "0";
            }
            context.put("singleSign", "notSign");
            return "0";
        } catch (GENEException e) {
            Trace.logError("LifeAction", "用户登录状态校验异常", e);
            throw e;
        }
    }

    public String getCustomerId() {
        return this.customerId;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v3, types: [boolean] */
    /* JADX WARN: Type inference failed for: r0v7, types: [boolean] */
    private boolean isStrengthVerify(String bankId, String userId, SessionManager sessionManager) {
        String enableStrengthVerify = LifeStandard.getBankSettingsValue("enableStrengthVerify");
        TranFailException equals = "true".equals(enableStrengthVerify);
        if (equals == 0) {
            return false;
        }
        try {
            equals = LifeLogonManager.isLogin(bankId, userId, sessionManager);
            if (equals != 0) {
                return true;
            }
            return false;
        } catch (TranFailException e) {
            equals.printStackTrace();
            return false;
        }
    }
}
